/*
 * Copyright(C) 2000  
 *
 *    , 
 *    .
 *
 *        ,
 * ,    ,
 *     ,
 * ,      
 *     
 *      .
 */

#include "ric_prj.h"

DWORD ric_register( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TRICContext *ctx;
    TSupSysInfoRegister *inf = (TSupSysInfoRegister*)info;
    SUPSYS_PRE_INFO( info, TSupSysInfoRegister );

    UNUSED( context );
    ctx = calloc(1, sizeof(TRICContext));
    if( ctx == NULL )
	return (DWORD)NTE_NO_MEMORY;
    ctx->unique_length = RIC_UNIQUE_LENGTH;
    ctx->unique_form = ric_unique_form;
    ctx->change_pin = ric_change_pin;
    ctx->block_len_read = RIC_BLOCK_READ;
    ctx->block_len_write = RIC_BLOCK_WRITE;
    ctx->class_tag = 0x2;
    inf->context = ctx;
    ctx->card_type = CardType_RIC;
    support_load_library();
    return ERROR_SUCCESS;
}
/* end of file: $Id: ric_reg.c 159171 2017-06-27 08:39:17Z sagafyin $ */
